package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussDeviceStock implements Serializable {
    private Integer id;

    private String code;

    private String snno;

    private String orderno;

    private BigDecimal price;

    private String type;

    private String groupno;

    private String buymercname;

    private String buymercid;

    private String actmercname;

    private String actmercid;

    private String status;

    private Date createtime;

    private String createby;

    private String delflag;

    private String remarks;

    private Date updatetime;

    private String deviceno;

    private Integer belonguserid;

    private Integer extractuserid;

    private String rolecode;

    private Date instocktime;

    private String transferstatus;

    private Date bindtime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getSnno() {
        return snno;
    }

    public void setSnno(String snno) {
        this.snno = snno == null ? null : snno.trim();
    }

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno == null ? null : orderno.trim();
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getGroupno() {
        return groupno;
    }

    public void setGroupno(String groupno) {
        this.groupno = groupno == null ? null : groupno.trim();
    }

    public String getBuymercname() {
        return buymercname;
    }

    public void setBuymercname(String buymercname) {
        this.buymercname = buymercname == null ? null : buymercname.trim();
    }

    public String getBuymercid() {
        return buymercid;
    }

    public void setBuymercid(String buymercid) {
        this.buymercid = buymercid == null ? null : buymercid.trim();
    }

    public String getActmercname() {
        return actmercname;
    }

    public void setActmercname(String actmercname) {
        this.actmercname = actmercname == null ? null : actmercname.trim();
    }

    public String getActmercid() {
        return actmercid;
    }

    public void setActmercid(String actmercid) {
        this.actmercid = actmercid == null ? null : actmercid.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby == null ? null : createby.trim();
    }

    public String getDelflag() {
        return delflag;
    }

    public void setDelflag(String delflag) {
        this.delflag = delflag == null ? null : delflag.trim();
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getDeviceno() {
        return deviceno;
    }

    public void setDeviceno(String deviceno) {
        this.deviceno = deviceno == null ? null : deviceno.trim();
    }

    public Integer getBelonguserid() {
        return belonguserid;
    }

    public void setBelonguserid(Integer belonguserid) {
        this.belonguserid = belonguserid;
    }

    public Integer getExtractuserid() {
        return extractuserid;
    }

    public void setExtractuserid(Integer extractuserid) {
        this.extractuserid = extractuserid;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public Date getInstocktime() {
        return instocktime;
    }

    public void setInstocktime(Date instocktime) {
        this.instocktime = instocktime;
    }

    public String getTransferstatus() {
        return transferstatus;
    }

    public void setTransferstatus(String transferstatus) {
        this.transferstatus = transferstatus == null ? null : transferstatus.trim();
    }

    public Date getBindtime() {
        return bindtime;
    }

    public void setBindtime(Date bindtime) {
        this.bindtime = bindtime;
    }
}